Taifa Identity. Docs
OpenAPI Developers

API reference

Account linking

Management API contract View .md

9 management API operations for account linking.

POST/v1/link-challenges

Create Challenge

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredChallengeCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
project_idstringYes
institution_idstringYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/link-challenges/{challenge_id}/attest

Attest

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
challenge_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredAttestation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
local_account_idstringYesValidation: min length 1; max length 200
local_auth_timeintegerYes
local_auth_methodstringYesValidation: min length 1; max length 100
local_session_digeststringYesValidation: pattern ^[0-9a-f]{64}$
central_issuerstringYes
central_subjectstringYes
central_auth_timeintegerYes
central_acrtaifa-mfa | taifa-phishing-resistantYes
central_sid_digeststringYesValidation: pattern ^[0-9a-f]{64}$

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/link-requests/{link_id}/ack

Acknowledge

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
link_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredBindingAcknowledgement

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
entity_idstringYes
entity_versionintegerYesValidation: minimum 1
local_account_idstringYes
proof_idstringYes
approval_idstringYes

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/service-identities

Read Services

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/service-identities

Propose Service

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredServiceProposal

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
issuerstringYes
subjectstringYesValidation: min length 1; max length 255
capabilityaccount-link-attestorYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/service-identities/{grant_id}/approve

Approve Service

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
grant_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/service-identities/{grant_id}/revoke

Revoke Service

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
grant_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section